Bug 206161 - Many dependency warning issued after selecting s/w for installation
Summary: Many dependency warning issued after selecting s/w for installation
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: distribution (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
urgent
urgent
Target Milestone: ---
: ---
Assignee: Dennis Gregorovic
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-12 15:52 UTC by Jeff Burrell
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-23 00:12:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/anaconda.log file from test machine (207.85 KB, application/octet-stream)
2006-09-12 18:45 UTC, Jeff Burrell
no flags Details

Description Jeff Burrell 2006-09-12 15:52:42 UTC
Description of problem:
In installing the desktop client version for x86-64, I selected every option for
additional software, except web server. When I look at the screen contents on VT
#3(ctrl-alt-F3), I see lots and lots of warnings about dependency for a lot of
different rpms.

It also takes more than a minute before the "next" key is enabled.


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. Use x86-64 client install DVD
2. Install using "D" for Desktop client
3. Select first two categories of software(window manager & development?), but
don't select "web server"
4. Select every optional component under both selected categories
5. Select "next"
6. ctrl-alt-F3 to view VT3's contents
  
Actual results: many, many dependancy warnings


Expected results: No dependency warnings


Additional info:

Comment 1 Jeff Burrell 2006-09-12 16:48:26 UTC
Here are a couple of additions/corrections to "Steps to Reproduce":

In step #3, I selected the categories "Office & Productivity" & "Software
Development".

After #3, I selected "customize now" and proceeded to select all of the
components(step #4) listed for each of the first 5
options(Desktop/Applications/Development/Servers/BaseSystem) but added nothing
in "Languages".

Comment 2 Chris Lumens 2006-09-12 18:06:53 UTC
Please post an example of the sorts of messages you are seeing, as there are a
variety of dependancy messages that can appear in the logs.

Comment 3 Jeff Burrell 2006-09-12 18:28:52 UTC
Unless there's a log somewhere which captures messages posted prior to 
installation, which I doubt there is, there's no good way to capture messages 
like this other than to manual copy them down. 

Comment 4 Jeremy Katz 2006-09-12 18:32:07 UTC
There's /tmp/anaconda.log at install-time which gets copied to
/var/log/anaconda.log on the installed system.

Comment 5 Jeff Burrell 2006-09-12 18:45:20 UTC
Created attachment 136098 [details]
/var/log/anaconda.log file from test machine

Comment 6 Jeremy Katz 2006-09-12 18:51:23 UTC
Packages that are dep required are only present in the Workstation variant.

Comment 8 Jay Turner 2006-09-20 19:03:22 UTC
Need to have clean rpm verifies (i.e. no missing deps)  QE ack for B2.  See
section 9c of the release criteria.

Comment 12 RHEL Product and Program Management 2006-12-23 00:12:56 UTC
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.



Note You need to log in before you can comment on or make changes to this bug.